Bug 185824 - Review Request: perl-Date-Pcalc - Gregorian calendar date calculations
Review Request: perl-Date-Pcalc - Gregorian calendar date calculations
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Package Reviews List
Depends On:
Blocks: FE-ACCEPT 180015
  Show dependency treegraph
Reported: 2006-03-18 15:54 EST by Mike McGrath
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-20 11:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2006-03-18 15:54:10 EST
Spec: http://mmcgrath.net/~mmcgrath/perl-Date-Pcalc/perl-Date-Pcalc.spec
SRPM: http://mmcgrath.net/~mmcgrath/perl-Date-Pcalc/perl-Date-Pcalc-1.2-1.src.rpm
This package consists of a Perl module for all kinds of date calculations based
on the Gregorian calendar (the one used in all western countries today), 
thereby complying with all relevant norms and standards: ISO/R 2015-1971, 
DIN 1355 and, to some extent, ISO 8601 (where applicable).
Comment 1 Miloslav Trmač 2006-03-18 21:57:48 EST
Looks good, only a few things:

- The tarball contains licence texts, so they must be packaged
- Please convert the man page from ISO-8859-1 to UTF-8:
W: perl-Date-Pcalc file-not-utf8 /usr/share/man/man3/Date::Pcalc.3pm.gz

- Consider packaging CREDITS.txt; README.txt refers to it and the authors deserve
  the credit.
Comment 2 Mike McGrath 2006-03-19 14:13:15 EST
Spec: http://mmcgrath.net/~mmcgrath/perl-Date-Pcalc/perl-Date-Pcalc.spec
SRMP: http://mmcgrath.net/~mmcgrath/perl-Date-Pcalc/perl-Date-Pcalc-1.2-2.src.rpm

- Include license and credits
- Convert manpage to utf-8
Comment 3 Miloslav Trmač 2006-03-19 18:18:28 EST
- This comment is now obsolete:
  # For license text(s), see the perl package.
- It is not necessary to quote : as \: in shell commands

Comment 4 Mike McGrath 2006-03-20 11:59:06 EST
Built in devel successfuly.

Note You need to log in before you can comment on or make changes to this bug.